Banks
curl --request GET \
--url https://1178-41-90-137-132.ngrok-free.app/v1/banks \
--header 'Authorization: Bearer <token>'const url = 'https://1178-41-90-137-132.ngrok-free.app/v1/banks';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));import requests
url = "https://1178-41-90-137-132.ngrok-free.app/v1/banks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://1178-41-90-137-132.ngrok-free.app/v1/banks"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"object": "list",
"country": "NG",
"data": [
{
"object": "bank",
"country": "NG",
"currency": "NGN",
"code": "058",
"name": "Guaranty Trust Bank"
},
{
"object": "bank",
"country": "NG",
"currency": "NGN",
"code": "044",
"name": "Access Bank"
}
]
}{
"error": {
"type": "authentication_error",
"code": "invalid_api_key",
"message": "Invalid API key provided."
}
}Utilities
Banks
Bank directory for a country. Use each bank’s code as
routing.bank_code (or bankCode) when creating a beneficiary on a
local bank corridor (e.g. ng_nip).
country is an ISO 3166-1 alpha-2 code (2 letters, not 3) —
e.g. Nigeria is NG (not NGA). See the full code list in
Country codes. Today the directory is
populated for Nigeria (NG); other codes may return an empty list
until that country’s banks are synced.
GET
/
banks
Banks
curl --request GET \
--url https://1178-41-90-137-132.ngrok-free.app/v1/banks \
--header 'Authorization: Bearer <token>'const url = 'https://1178-41-90-137-132.ngrok-free.app/v1/banks';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));import requests
url = "https://1178-41-90-137-132.ngrok-free.app/v1/banks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://1178-41-90-137-132.ngrok-free.app/v1/banks"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"object": "list",
"country": "NG",
"data": [
{
"object": "bank",
"country": "NG",
"currency": "NGN",
"code": "058",
"name": "Guaranty Trust Bank"
},
{
"object": "bank",
"country": "NG",
"currency": "NGN",
"code": "044",
"name": "Access Bank"
}
]
}{
"error": {
"type": "authentication_error",
"code": "invalid_api_key",
"message": "Invalid API key provided."
}
}Authorizations
Secret API key from Settings → Developers → API keys.
Example: Authorization: Bearer sk_test_…
Query Parameters
ISO 3166-1 alpha-2 country code (2 letters). Full list:
Country codes. Example: NG.
Required string length:
2